from django import forms
from survey import settings
from survey.models import Submission

class SurveySubmitForm(forms.Form):

    @classmethod
    def from_instance(self, survey, *args, **kwargs):
        lang = kwargs.pop('lang', getattr(survey, '_lang', settings.LANGUAGE))
        form = SurveySubmitForm(*args, **kwargs)
        form.survey = survey
        form.init_fields(lang)
        return form

    def init_fields(self, lang=settings.LANGUAGE):
        for q in self.survey.questions.order_by('order'):
            q.load_i18n(lang)
            self.fields[q.qid] = q.module.formfield()

    def save(self, user, ip):
        submission = Submission.objects.create(survey=self.survey, user=user)
        for qid, data in self.cleaned_data.iteritems():
            q = self.survey.questions.get(qid=qid)
            submission.answers.create(question=q, answer=data, ip_address=ip)
