# -*- coding: utf-8 -*-
from django.conf import settings
import survey.settings as survey_settings

SUBMISSION_EXISTS = "It seems that you have already finished this survey. " \
                    "Submitting again will replace your previous submission."
NO_ACTIVE_SURVEY = "No active survey exists at the moment."
SURVEY_INACTIVE = "Survey is not active."
SUBMIT_SUCCESS = "Survey submitted successfully. Thank you for your " \
                 "participation."
SUBMIT_ERROR = "One or more validation errors occurred. " \
               "Please check the form again."
NO_ACTIVE_SURVEY_EXISTS = "No active survey exists"

LANG_LINK_MAP = {
    'el': u"Προβολή στα Ελληνικά",
    'en': u"View in English"
}

messages = locals().keys()
for msg in messages:
    if msg == msg.upper():
        attr = "SURVEY_%s_MESSAGE" % msg
        settings_value = getattr(settings, attr, None)
        if settings_value:
            locals()[msg] = settings_value
