import yaml
from django.core.management.base import BaseCommand, CommandError

from survey.models import Survey

class Command(BaseCommand):
    args = "<survey file>"
    help = "Create a new survey"

    option_list = BaseCommand.option_list + ()

    def handle(self, *args, **options):
        if len(args) != 1:
            raise CommandError("Invalid number of arguments")

        data = yaml.load(file(args[0]).read())
        s, created = Survey.objects.load(data)
        if created:
            print "Survey '%s' created" % (s.sid)
        else:
            print "Survey '%s' updated" % (s.sid)

